local t = Def.ActorFrame {};

t.FOV=90;

t[#t+1] = LoadActor( THEME:GetPathG("_frame", "1D"),{ 1/3, 1/3, 1/3 },LoadActor(THEME:GetPathG("_1d","frames/PrefIcon"))) .. {
	Name="Frame";
	GainFocusCommand=cmd(finishtweening;playcommand,"SetSize",{ Width=(640/8)*1.25; tween=cmd(finishtweening;linear,0.3;diffuse,1,1,1,1); });
	LoseFocusCommand=cmd(finishtweening;playcommand,"SetSize",{ Width=(640/8)*1.25; tween=cmd(finishtweening;linear,0.3;diffuse,0.5,0.5,0.5,1); });
--~ 		EnabledCommand=cmd(playcommand,"SetSize",{ Width=(640/8)*4; tween=cmd(finishtweening;linear,0.3;diffuse,1,1,1,1); });
--~ 	DisabledCommand=cmd(playcommand,"SetSize",{ Width=(640/8)*1.25; tween=cmd(finishtweening;linear,0.3;diffuse,cRed); });
};

t[#t+1] = Def.ActorFrame {
 EnabledCommand=cmd(visible,false);
 DisabledCommand=cmd(visible,true);
	LoadActor( THEME:GetPathG("_frame", "1D"),{ 1/3, 1/3, 1/3 },LoadActor(THEME:GetPathG("_1d","frames/PrefIcon"))) .. {
		Name="Disabled";
		InitCommand=cmd(playcommand,"SetSize",{ Width=(640/8)*1.25; tween=cmd(visible,false;diffuse,cRed); });
	};
};

t[#t+1] = LoadFont("Common Normal") .. {
	Text=Var("GameCommand"):GetName();
	InitCommand=cmd(NoStroke;shadowlength,1;);
};

--~ t.InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen",Var("GameCommand"):GetName() .. "X");y,THEME:GetMetric(Var "LoadingScreen","IconCommonY");
t.InitCommand=cmd(Center);

return t